package net.rutles.myalert;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.DialogInterface;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;

public class MyAlert extends Activity
	implements
	OnClickListener,
	DialogInterface.OnClickListener{

	private AlertDialog buttonDialog, listDialog;
	private EditText editText;
	private Button button1, button2;
	private CharSequence[] items;
	
	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);
				
		editText = (EditText) findViewById(R.id.EditText01);
		button1 = (Button) findViewById(R.id.Button01);
		button2 = (Button) findViewById(R.id.Button02);
		items = getResources().getTextArray(R.array.items);

		button1.setOnClickListener(this);
		button2.setOnClickListener(this);
		
		AlertDialog.Builder buttonBuilder = new AlertDialog.Builder(this)
		.setTitle(R.string.alert)
		.setMessage(R.string.message)
		.setCancelable(false)
		.setPositiveButton(R.string.yes, this)
		.setNegativeButton(R.string.no, this)
		.setNeutralButton(R.string.cancel, null);

		AlertDialog.Builder listBuilder = new AlertDialog.Builder(this)
		.setTitle(R.string.select)
		.setCancelable(true)
		.setItems(items, this);
		
		buttonDialog = buttonBuilder.create();
		listDialog = listBuilder.create();
	}
	
	@Override
	public void onClick(View v) {
		// TODO Auto-generated method stub
		if(v == button1){
			buttonDialog.show();
		}
		else
		if(v == button2){
			listDialog.show();
		}
	}

	@Override
	public void onClick(DialogInterface dialog, int which) {
		// TODO Auto-generated method stub
		if(dialog == buttonDialog){
		switch(which){
		case DialogInterface.BUTTON_POSITIVE:
			editText.setText(R.string.yes);
			editText.append(getString(R.string.pushed));
			break;
		case DialogInterface.BUTTON_NEGATIVE:
			editText.setText(R.string.no);
			editText.append(getString(R.string.pushed));
			break;
		case DialogInterface.BUTTON_NEUTRAL:
			dialog.cancel();
			break;
		default:
			break;
		}
		} else
		if(dialog == listDialog){
			switch(which){
			case 0:
				editText.setTextSize(22);
				break;
			case 1:
				editText.setTextSize(18);
				break;
			case 2:
				editText.setTextSize(14);
				break;
			default:
				dialog.cancel();
				break;
			}
		}
	}
}